<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:49 JST 2014 -->
<TITLE>
DataTreeV1
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DataTreeV1";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataNodeV1.html" title="class in org.apache.zookeeper.server.upgrade"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.ProcessTxnResult.html" title="class in org.apache.zookeeper.server.upgrade"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/zookeeper/server/upgrade/DataTreeV1.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DataTreeV1.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper.server.upgrade</FONT>
<BR>
Class DataTreeV1</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.server.upgrade.DataTreeV1</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>DataTreeV1</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
This class maintains the tree data structure. It doesn't have any networking
 or client connection code in it so that it can be tested in a stand alone
 way.
 <p>
 The tree maintains two parallel data structures: a hashtable that maps from
 full paths to DataNodes and a tree of DataNodes. All accesses to a path is
 through the hashtable. The tree is traversed only when serializing to disk.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.ProcessTxnResult.html" title="class in org.apache.zookeeper.server.upgrade">DataTreeV1.ProcessTxnResult</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#initialized">initialized</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#lastProcessedZxid">lastProcessedZxid</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#DataTreeV1()">DataTreeV1</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#copyStat(Stat, Stat)">copyStat</A></B>(Stat&nbsp;from,
         Stat&nbsp;to)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#copyStatPersisted(StatPersistedV1, StatPersistedV1)">copyStatPersisted</A></B>(StatPersistedV1&nbsp;from,
                  StatPersistedV1&nbsp;to)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#createNode(java.lang.String, byte[], java.util.List, long, long, long)">createNode</A></B>(java.lang.String&nbsp;path,
           byte[]&nbsp;data,
           java.util.List&lt;ACL&gt;&nbsp;acl,
           long&nbsp;ephemeralOwner,
           long&nbsp;zxid,
           long&nbsp;time)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#deleteNode(java.lang.String)">deleteNode</A></B>(java.lang.String&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#deserialize(org.apache.jute.InputArchive, java.lang.String)">deserialize</A></B>(org.apache.jute.InputArchive&nbsp;ia,
            java.lang.String&nbsp;tag)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#dumpEphemerals()">dumpEphemerals</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List&lt;ACL&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#getACL(java.lang.String, Stat)">getACL</A></B>(java.lang.String&nbsp;path,
       Stat&nbsp;stat)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.ArrayList&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#getChildren(java.lang.String, Stat, org.apache.zookeeper.Watcher)">getChildren</A></B>(java.lang.String&nbsp;path,
            Stat&nbsp;stat,
            <A HREF="../../../../../org/apache/zookeeper/Watcher.html" title="interface in org.apache.zookeeper">Watcher</A>&nbsp;watcher)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;byte[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#getData(java.lang.String, Stat, org.apache.zookeeper.Watcher)">getData</A></B>(java.lang.String&nbsp;path,
        Stat&nbsp;stat,
        <A HREF="../../../../../org/apache/zookeeper/Watcher.html" title="interface in org.apache.zookeeper">Watcher</A>&nbsp;watcher)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashSet&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#getEphemerals(long)">getEphemerals</A></B>(long&nbsp;sessionId)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Map&lt;java.lang.Long,java.util.HashSet&lt;java.lang.String&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#getEphemeralsMap()">getEphemeralsMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;return the ephemerals for this tree</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataNodeV1.html" title="class in org.apache.zookeeper.server.upgrade">DataNodeV1</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#getNode(java.lang.String)">getNode</A></B>(java.lang.String&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Collection&lt;java.lang.Long&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#getSessions()">getSessions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.ProcessTxnResult.html" title="class in org.apache.zookeeper.server.upgrade">DataTreeV1.ProcessTxnResult</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#processTxn(TxnHeader, org.apache.jute.Record)">processTxn</A></B>(TxnHeader&nbsp;header,
           org.apache.jute.Record&nbsp;txn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#removeCnxn(org.apache.zookeeper.Watcher)">removeCnxn</A></B>(<A HREF="../../../../../org/apache/zookeeper/Watcher.html" title="interface in org.apache.zookeeper">Watcher</A>&nbsp;watcher)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#serialize(org.apache.jute.OutputArchive, java.lang.String)">serialize</A></B>(org.apache.jute.OutputArchive&nbsp;oa,
          java.lang.String&nbsp;tag)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;Stat</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#setACL(java.lang.String, java.util.List, int)">setACL</A></B>(java.lang.String&nbsp;path,
       java.util.List&lt;ACL&gt;&nbsp;acl,
       int&nbsp;version)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;Stat</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#setData(java.lang.String, byte[], int, long, long)">setData</A></B>(java.lang.String&nbsp;path,
        byte[]&nbsp;data,
        int&nbsp;version,
        long&nbsp;zxid,
        long&nbsp;time)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#setEphemeralsMap(java.util.Map)">setEphemeralsMap</A></B>(java.util.Map&lt;java.lang.Long,java.util.HashSet&lt;java.lang.String&gt;&gt;&nbsp;ephemerals)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;Stat</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.html#statNode(java.lang.String, org.apache.zookeeper.Watcher)">statNode</A></B>(java.lang.String&nbsp;path,
         <A HREF="../../../../../org/apache/zookeeper/Watcher.html" title="interface in org.apache.zookeeper">Watcher</A>&nbsp;watcher)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="lastProcessedZxid"><!-- --></A><H3>
lastProcessedZxid</H3>
<PRE>
public volatile long <B>lastProcessedZxid</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="initialized"><!-- --></A><H3>
initialized</H3>
<PRE>
public boolean <B>initialized</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DataTreeV1()"><!-- --></A><H3>
DataTreeV1</H3>
<PRE>
public <B>DataTreeV1</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getEphemeralsMap()"><!-- --></A><H3>
getEphemeralsMap</H3>
<PRE>
public java.util.Map&lt;java.lang.Long,java.util.HashSet&lt;java.lang.String&gt;&gt; <B>getEphemeralsMap</B>()</PRE>
<DL>
<DD>return the ephemerals for this tree
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the ephemerals for this tree</DL>
</DD>
</DL>
<HR>

<A NAME="setEphemeralsMap(java.util.Map)"><!-- --></A><H3>
setEphemeralsMap</H3>
<PRE>
public void <B>setEphemeralsMap</B>(java.util.Map&lt;java.lang.Long,java.util.HashSet&lt;java.lang.String&gt;&gt;&nbsp;ephemerals)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getEphemerals(long)"><!-- --></A><H3>
getEphemerals</H3>
<PRE>
public java.util.HashSet&lt;java.lang.String&gt; <B>getEphemerals</B>(long&nbsp;sessionId)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSessions()"><!-- --></A><H3>
getSessions</H3>
<PRE>
public java.util.Collection&lt;java.lang.Long&gt; <B>getSessions</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNode(java.lang.String)"><!-- --></A><H3>
getNode</H3>
<PRE>
public <A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataNodeV1.html" title="class in org.apache.zookeeper.server.upgrade">DataNodeV1</A> <B>getNode</B>(java.lang.String&nbsp;path)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyStatPersisted(StatPersistedV1, StatPersistedV1)"><!-- --></A><H3>
copyStatPersisted</H3>
<PRE>
public static void <B>copyStatPersisted</B>(StatPersistedV1&nbsp;from,
                                     StatPersistedV1&nbsp;to)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyStat(Stat, Stat)"><!-- --></A><H3>
copyStat</H3>
<PRE>
public static void <B>copyStat</B>(Stat&nbsp;from,
                            Stat&nbsp;to)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createNode(java.lang.String, byte[], java.util.List, long, long, long)"><!-- --></A><H3>
createNode</H3>
<PRE>
public java.lang.String <B>createNode</B>(java.lang.String&nbsp;path,
                                   byte[]&nbsp;data,
                                   java.util.List&lt;ACL&gt;&nbsp;acl,
                                   long&nbsp;ephemeralOwner,
                                   long&nbsp;zxid,
                                   long&nbsp;time)
                            throws <A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A>,
                                   <A HREF="../../../../../org/apache/zookeeper/KeeperException.NodeExistsException.html" title="class in org.apache.zookeeper">KeeperException.NodeExistsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>path</CODE> - <DD><CODE>data</CODE> - <DD><CODE>acl</CODE> - <DD><CODE>ephemeralOwner</CODE> - the session id that owns this node. -1 indicates this is
                not an ephemeral node.<DD><CODE>zxid</CODE> - <DD><CODE>time</CODE> - 
<DT><B>Returns:</B><DD>the patch of the created node
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A></CODE>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></CODE>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NodeExistsException.html" title="class in org.apache.zookeeper">KeeperException.NodeExistsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="deleteNode(java.lang.String)"><!-- --></A><H3>
deleteNode</H3>
<PRE>
public void <B>deleteNode</B>(java.lang.String&nbsp;path)
                throws <A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="setData(java.lang.String, byte[], int, long, long)"><!-- --></A><H3>
setData</H3>
<PRE>
public Stat <B>setData</B>(java.lang.String&nbsp;path,
                    byte[]&nbsp;data,
                    int&nbsp;version,
                    long&nbsp;zxid,
                    long&nbsp;time)
             throws <A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getData(java.lang.String, Stat, org.apache.zookeeper.Watcher)"><!-- --></A><H3>
getData</H3>
<PRE>
public byte[] <B>getData</B>(java.lang.String&nbsp;path,
                      Stat&nbsp;stat,
                      <A HREF="../../../../../org/apache/zookeeper/Watcher.html" title="interface in org.apache.zookeeper">Watcher</A>&nbsp;watcher)
               throws <A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="statNode(java.lang.String, org.apache.zookeeper.Watcher)"><!-- --></A><H3>
statNode</H3>
<PRE>
public Stat <B>statNode</B>(java.lang.String&nbsp;path,
                     <A HREF="../../../../../org/apache/zookeeper/Watcher.html" title="interface in org.apache.zookeeper">Watcher</A>&nbsp;watcher)
              throws <A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getChildren(java.lang.String, Stat, org.apache.zookeeper.Watcher)"><!-- --></A><H3>
getChildren</H3>
<PRE>
public java.util.ArrayList&lt;java.lang.String&gt; <B>getChildren</B>(java.lang.String&nbsp;path,
                                                         Stat&nbsp;stat,
                                                         <A HREF="../../../../../org/apache/zookeeper/Watcher.html" title="interface in org.apache.zookeeper">Watcher</A>&nbsp;watcher)
                                                  throws <A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="setACL(java.lang.String, java.util.List, int)"><!-- --></A><H3>
setACL</H3>
<PRE>
public Stat <B>setACL</B>(java.lang.String&nbsp;path,
                   java.util.List&lt;ACL&gt;&nbsp;acl,
                   int&nbsp;version)
            throws <A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getACL(java.lang.String, Stat)"><!-- --></A><H3>
getACL</H3>
<PRE>
public java.util.List&lt;ACL&gt; <B>getACL</B>(java.lang.String&nbsp;path,
                                  Stat&nbsp;stat)
                           throws <A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="processTxn(TxnHeader, org.apache.jute.Record)"><!-- --></A><H3>
processTxn</H3>
<PRE>
public <A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.ProcessTxnResult.html" title="class in org.apache.zookeeper.server.upgrade">DataTreeV1.ProcessTxnResult</A> <B>processTxn</B>(TxnHeader&nbsp;header,
                                              org.apache.jute.Record&nbsp;txn)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="serialize(org.apache.jute.OutputArchive, java.lang.String)"><!-- --></A><H3>
serialize</H3>
<PRE>
public void <B>serialize</B>(org.apache.jute.OutputArchive&nbsp;oa,
                      java.lang.String&nbsp;tag)
               throws java.io.IOException,
                      java.lang.InterruptedException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>java.io.IOException</CODE>
<DD><CODE>java.lang.InterruptedException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="deserialize(org.apache.jute.InputArchive, java.lang.String)"><!-- --></A><H3>
deserialize</H3>
<PRE>
public void <B>deserialize</B>(org.apache.jute.InputArchive&nbsp;ia,
                        java.lang.String&nbsp;tag)
                 throws java.io.IOException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>java.io.IOException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="dumpEphemerals()"><!-- --></A><H3>
dumpEphemerals</H3>
<PRE>
public java.lang.String <B>dumpEphemerals</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeCnxn(org.apache.zookeeper.Watcher)"><!-- --></A><H3>
removeCnxn</H3>
<PRE>
public void <B>removeCnxn</B>(<A HREF="../../../../../org/apache/zookeeper/Watcher.html" title="interface in org.apache.zookeeper">Watcher</A>&nbsp;watcher)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <B>clear</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataNodeV1.html" title="class in org.apache.zookeeper.server.upgrade"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/zookeeper/server/upgrade/DataTreeV1.ProcessTxnResult.html" title="class in org.apache.zookeeper.server.upgrade"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/zookeeper/server/upgrade/DataTreeV1.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DataTreeV1.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
